Bug 1014677 - Search filter persists when changing folders
Search filter persists when changing folders
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Milan Crha
Desktop QE
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 10:14 EDT by Tomas Pelka
Modified: 2014-01-02 05:47 EST (History)
5 users (show)

See Also:
Fixed In Version: evolution-2.32.3-30.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 00:15:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 564820 None None None Never

  None (edit)
Description Tomas Pelka 2013-10-02 10:14:54 EDT
Description of problem:
A search filter in one folder is remembered when I change to another folder,
but if it shows no results, I can't clear the filter easily.

Version-Release number of selected component (if applicable):
evolution-2.32.3-27.el6

How reproducible:
100%

Steps to Reproduce:
1. set Show: All .... in Inbox
2. got to another folder and set Show: Unreaded ...
3. go back to Inbox

Actual results:
filter persists even if Show: report expected filter

Expected results:
filter should be changed according folder settings

Additional info:
Comment 1 Milan Crha 2013-10-02 11:11:43 EDT
I'm currently building a test package with usptream fix included at
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=6361313
Comment 2 Milan Crha 2013-10-08 11:58:02 EDT
(In reply to Milan Crha from comment #1)
> I'm currently building a test package with upstream fix included at

https://brewweb.devel.redhat.com/taskinfo?taskID=6385322
Comment 5 errata-xmlrpc 2013-11-21 00:15:44 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.